jmarkov.gui

## Enum MarkovFileOpenDialog.ResultTypes

- java.lang.Object
- - java.lang.Enum<MarkovFileOpenDialog.ResultTypes>
  - - jmarkov.gui.MarkovFileOpenDialog.ResultTypes

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MarkovFileOpenDialog.ResultTypes>
  Enclosing class:
    MarkovFileOpenDialog

      public static enum MarkovFileOpenDialog.ResultTypes
      extends java.lang.Enum<MarkovFileOpenDialog.ResultTypes>

  The result types returned by the File open dialog.
  Author:
    Germán Riaño. Universidad de los Andes.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CANCEL` The user hit cancel
    `CLOSE` The user closed the dialog hitting the (X)
    `OK` The user hit OK

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MarkovFileOpenDialog.ResultTypes` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MarkovFileOpenDialog.ResultTypes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OK

          public static final MarkovFileOpenDialog.ResultTypes OK

      The user hit OK

    - #### CANCEL

          public static final MarkovFileOpenDialog.ResultTypes CANCEL

      The user hit cancel

    - #### CLOSE

          public static final MarkovFileOpenDialog.ResultTypes CLOSE

      The user closed the dialog hitting the (X)

  - ### Method Detail

    - #### values

          public static MarkovFileOpenDialog.ResultTypes[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MarkovFileOpenDialog.ResultTypes c : MarkovFileOpenDialog.ResultTypes.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MarkovFileOpenDialog.ResultTypes valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null